Get Specific RecordSet

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}

Get specific RecordSet for the given dataflowId and recordSetId

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

Responses

  • 200 application/json

    OK

GET /dataflows/{dataflowId}/recordsets/{recordSetId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "56f22f5651e8009d94e23f86",
  "dataflowId": "56f22f5651e8009d94e23f84",
  "description": "",
  "owningCollection": "56f22f5651e8009d94e23f84_df10",
  "owningEntity": "user_5000",
  "recordSetName": "df10",
  "version": "2.0"
}